This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 385061 - Review Request: swfdec-mozilla - Mozilla/Gecko player Flash plugin
Review Request: swfdec-mozilla - Mozilla/Gecko player Flash plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 385041
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 12:30 EST by Brian Pepple
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-18 15:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2007-11-15 12:30:41 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec-mozilla.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-mozilla-0.5.4-1.fc8.src.rpm
Description: swfdec is a library for rendering Adobe Flash animations. Currently it handles most Flash 3, 4 and many Flash 7 videos. This is the viewer plugin for Firefox and other Gecko-based browsers such as Epiphany and Galeon.
Comment 1 Bill Nottingham 2007-11-15 13:16:21 EST
Potentially stupid question - if you have swfdec-mozilla, gnash-plugin, and
flash-plugin all installed simultaneously, what happens?
Comment 2 Brian Pepple 2007-11-15 13:55:45 EST
(In reply to comment #1)
> Potentially stupid question - if you have swfdec-mozilla, gnash-plugin, and
> flash-plugin all installed simultaneously, what happens?

Truthfully, I have no idea.  Let me do some testing to see what blows up.

Comment 3 Patrice Dumas 2007-11-15 16:09:53 EST
rpmlint says:

swfdec-mozilla.src: W: invalid-license LGPL
swfdec-mozilla.i386: W: invalid-license LGPL
swfdec-mozilla-debuginfo.i386: W: invalid-license LGPL

MAINTAINERS could be in %doc.

Isn't firefox-devel obsolete and now xulrunner should be used?

Otherwise, the source timestamp isn't kept:
-rw-rw-r-- 1 dumas dumas 398977 nov 15 16:49 ../SOURCES/swfdec-mozilla-0.5.4.tar.gz
-rw-rw-r-- 1 dumas dumas 398977 nov 15 11:12 swfdec-mozilla-0.5.4.tar.gz
Comment 4 Patrice Dumas 2007-11-15 16:10:32 EST
Forgot to say that it works fine, and installed together with gnash,
in my case, it is swfdec plugin which is used.
Comment 5 Brian Pepple 2007-11-15 16:39:26 EST
(In reply to comment #4)
> Forgot to say that it works fine, and installed together with gnash,
> in my case, it is swfdec plugin which is used.

I tested this with the flash-plugin, and swfdec was also used by the browser.

Comment 6 Brian Pepple 2007-11-18 11:02:21 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/swfdec-mozilla.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/swfdec-mozilla-0.5.4-1.fc8.src.rpm

* Sat Nov 17 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.4-2
- Update license tag.
- Drop BR on firefox-devel.

Comment 7 Brian Pepple 2007-11-18 11:04:21 EST
Oh, here's a link to a scratch build if you want to review the buld logs.
http://koji.fedoraproject.org/koji/taskinfo?taskID=247096
Comment 8 Patrice Dumas 2007-11-18 12:33:00 EST
* follow packaging guidelines
* spec file is legible
* free software, license included
* match upstream
07fd3b851df6c70eb7f25944aa4990e3  ../SOURCES/swfdec-mozilla-0.5.4.tar.gz
* %files section sane

Once again I think that MAINTAINERS should be shipped, there is
a reference to it in README. Not a blocker.

Seems like an internal copy of the firefox headers is used.
I think it would be better to use the system headers, but
I won't make it a blocker.

APPROVED
Comment 9 Brian Pepple 2007-11-18 12:55:32 EST
New Package CVS Request
=======================
Package Name: swfdec-mozilla
Short Description: Mozilla/Gecko player Flash plugin using swfdec
Owners: bpepple
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2007-11-18 13:59:10 EST
cvs done.
Comment 11 Brian Pepple 2007-11-18 15:07:58 EST
built for devel.  Patrice, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.